Subject: Stuck at Cloudflare 'browser checks'

From: João Pedro Simas <[email-masked]>
Date: Sat, 20 Mar 2021 06:44:52 +0000

In various websites that use cloudflare's 'browser checks', IceCat 78.8.0
running on GNU Guix get's stuck in a loop, in which the page gets reloading
indefinetely.
The particular website I found this issue is gitlab.com, in particular it's
sign in page ( https://gitlab.com/users/sign_in).
I've also found an open issue about it on GNU Guix's bug mailing list (
https://issues.guix.gnu.org/45179) that mentions that at some point this
issue potentialy could be fixed by changing the user agent, but it is not
the case anymore.

Sincerely
João